> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

### GET /locations

This endpoint retrieves locations with optional organization\_id query parameter.

#### Request

* Query Parameters
  * organization\_id (optional)
  * with\_attribution\_script\_install(optional): Pass this param (as shown in example below) to fetch those practices that has installed the TC attribution script on their websites.

```json theme={null}
{
    "q": {
        "with_attribution_script_install": true
    }
}
```

#### Response

The response is in JSON format and follows the schema below:

```json theme={null}
{
    "data": [
        {
            "id": "string",
            "type": "string",
            "attributes": {
                "title": "string",
                "email": "string",
                "website": "string",
                "pms_type": "string",
                "last_sync": "string",
                "data_provider": "string",
                "business_hours_weekly_summary": [
                    {
                        "day": "string",
                        "open": "string",
                        "hours": 0
                    }
                ],
                "name": "string",
                "phone_number": "string",
                "country": "string",
                "data_provider_id": "string",
                "third_party_identifier": {
                    "data": [{
                        "id": "number",
                        "type": "string",
                        "attributes": {
                            "individual_id": "number",
                            "individual_type": "string",
                            "external_id": "string"
                        }
                    }
                }]
            }
        }
    ]
}
```

`organization_id` is optional. If provided, the request returns locations under the specified organization within the consulting firm. If omitted, it returns all locations across all organizations under the consulting firm.
